Jump to content

[1.8.1-1.11]R-T-B's Kopernicus Unified "Bleeding Edge" Branch


Recommended Posts

Kopernicus 1.11 or ModularflightIntegrator make the Main Menu buttons unresponsive, or maybe there is a mod conlifct in my too large modlist. Tested with and without kopernicus in gamedata folder, buttons are functioning with the latter. Edit: I forgot to mention that it messes with Flags too, only a white square is in the place of flags, in Vab and on parts.

output_log: https://drive.google.com/file/d/1_xGV75w1t-ZDaDr3K86Q72nMq44XP4GS/view?usp=sharing

Edited by KawaiiLucy
Link to post
Share on other sites
7 hours ago, KawaiiLucy said:

Kopernicus 1.11 or ModularflightIntegrator make the Main Menu buttons unresponsive, or maybe there is a mod conlifct in my too large modlist. Tested with and without kopernicus in gamedata folder, buttons are functioning with the latter. Edit: I forgot to mention that it messes with Flags too, only a white square is in the place of flags, in Vab and on parts.

output_log: https://drive.google.com/file/d/1_xGV75w1t-ZDaDr3K86Q72nMq44XP4GS/view?usp=sharing

There's a mod combo that causes this, but I am unsure what it is.  You'll find if you install Kopernicus on it's own without your extensive mod list the main menu buttons work.  So one of your mods is interacting badly with Kopernicus.

If this sounds vague, it's because I haven't identified which mod causes this bad interaction yet.  Any help there appreciated.  Otherwise, it's a known bug, and on my todo list.

37 minutes ago, Pehvbot said:

I've tried it with both and it seems to be fine.  If there are problems I haven't found them yet.

In my personal save, I'm running it now and my experience has been much the same.  There ARE issues, but they are very very minor.  Here's the current list.

1.)  In 1.11, orbit lines flicker at extreme map zoomout

2.)  In 1.11 (and possibly other versions), interstellar space sometimes gets rogue lethal-heating out of nowhere.

2 already had an attempted fix, but I don't know if it worked or not.  It's hard because it doesn't always happen.  Worst kind of bug.

Edited by R-T-B
Link to post
Share on other sites

This is R-T-B's "Bleeding Edge" branch of Kopernicus, intended to support the latest features, KSP editions, and also the latest bugs. Please keep in mind this branch may be more buggy than Prestja's mainline Kopernicus branch, but it also supports more KSP versions and has more features implemented for testing reasons. Many features that make it into mainline Kopernicus are born, tested, and trialed by fire here.

This is release 56. It contains the following changes:

1.) ModularFlightIntegrator has been patched to fix some landing stability bugs. (Patches may not be appropriate outside Kopernicus, will discuss with Sarbian soon, source: https://github.com/R-T-B/ModularFlightIntegrator)

Known Bugs:

1.) None known right now, but given the beta state of this release, don't be afraid to report any you find! There probably are a few!

Please download the right output zip for your version. "191" zips are for 1.9.1, "111" for 1.11, 1101 for 1.10.1, etc.

Thanks and as always, report bugs!

-RTB

Link to post
Share on other sites
9 hours ago, R-T-B said:

There's a mod combo that causes this, but I am unsure what it is.  You'll find if you install Kopernicus on it's own without your extensive mod list the main menu buttons work.  So one of your mods is interacting badly with Kopernicus.

I spent some time troubleshooting this, and identified the "Firespitter" mod (core version bundled with Umbra Space Industries) as the culprit to cause this bug. RoverDude announced an update to USI on Sunday, maybe that'll fix it; as I am no coder I can't look into what exactly is the origin. I've tested it with following mods only:

-Squad and SquadExpansion

-Kopernicus 1.11 and Modularflightmanager

-OPM + OPMVO (although not working without eve) + OPMTilt

-FireSpitter ("faulty")

output_log: https://drive.google.com/file/d/1VE2-Cdm2aBUDsV4NNwbPMQ0vlGjXdxMM/view?usp=sharing

Link to post
Share on other sites

I was having some problems with Paralax in this thread and was told to move it over to here because it is more related to this:

I do have other mods installed. I only have Kerbal Engineer Redux, Near Future Electrical, Near Future Launch Vehicles, Near Future Propulsion, and Near Future Spacecraft Parts. I installed all of these through the CurseForge app which I think is in beta. That may be why. I have installed other mods, realized they were out of date, and deleted them. I am not sure that Curseforge actually fully deleted them, there are still some readme files in the gamedata folder. If you want, I can upload a copy of the full GameData folder to MediaFire or something and share a link.

Link to post
Share on other sites
On 12/19/2020 at 6:16 PM, TinsellyCone241 said:

I was having some problems with Paralax in this thread and was told to move it over to here because it is more related to this:

I do have other mods installed. I only have Kerbal Engineer Redux, Near Future Electrical, Near Future Launch Vehicles, Near Future Propulsion, and Near Future Spacecraft Parts. I installed all of these through the CurseForge app which I think is in beta. That may be why. I have installed other mods, realized they were out of date, and deleted them. I am not sure that Curseforge actually fully deleted them, there are still some readme files in the gamedata folder. If you want, I can upload a copy of the full GameData folder to MediaFire or something and share a link.

Yes, I figured this one out.

The issue when it shows Moho as the culprit like that, is that you only downloaded one part of the two required pieces for Parallax.  You want BOTH Parallax and Parallax-stock zip files.  Both should be on github in the release.

Edited by R-T-B
Link to post
Share on other sites
On 12/19/2020 at 4:57 AM, KawaiiLucy said:

I spent some time troubleshooting this, and identified the "Firespitter" mod (core version bundled with Umbra Space Industries) as the culprit to cause this bug. RoverDude announced an update to USI on Sunday, maybe that'll fix it; as I am no coder I can't look into what exactly is the origin. I've tested it with following mods only:

-Squad and SquadExpansion

-Kopernicus 1.11 and Modularflightmanager

-OPM + OPMVO (although not working without eve) + OPMTilt

-FireSpitter ("faulty")

output_log: https://drive.google.com/file/d/1VE2-Cdm2aBUDsV4NNwbPMQ0vlGjXdxMM/view?usp=sharing

I really appreciate you reporting back.  I'll get in touch with them if the latest release does not fix it, maybe between us we can figure it out.

Link to post
Share on other sites

I have copernicus + sigma + redux.
Obviously, since version 1.10, I see the generation of asteroids signed with F + sizes.
There is nothing like that in sigma. Copernicus is clearly working with asteroids.
But when approached, these mysterious giants are generated as normal E class.
If the mod already bypasses the restrictions on additional classes given to comets by vanilla, then why not add the normal generation of sizes and masses.
  Partially it is present in easily detectable files of the game itself.

Link to post
Share on other sites
8 hours ago, redrem said:

I have copernicus + sigma + redux.
Obviously, since version 1.10, I see the generation of asteroids signed with F + sizes.
There is nothing like that in sigma. Copernicus is clearly working with asteroids.
But when approached, these mysterious giants are generated as normal E class.
If the mod already bypasses the restrictions on additional classes given to comets by vanilla, then why not add the normal generation of sizes and masses.
  Partially it is present in easily detectable files of the game itself.

Thanks for the detailed bug writeup.

I will look into this.  It does appear to be a bug, and a new one at that.  I will fix it sometime during the comet update, with any luck.

Edited by R-T-B
Link to post
Share on other sites
8 hours ago, garwel said:

There seems to be an issue updating the CKAN repository for the Bleeding Edge release. Likely a server-side problem.

I'v got 1.9.1-17 from github, the game (1.11) still yells about not being compatible but at least it's not crashing, but trying OPM mod, there are no planets out there other than stock

Edited by Jiraiyah
Link to post
Share on other sites
1 minute ago, Jiraiyah said:

I'v got 1.9.1-17 from github, the game (1.11) still yells about not being compatible but at least it's not crashing, but trying OPM mod, there are no planets out there other than stock

you want 

KopernicusBE_111_Release56.zip

from here

https://github.com/R-T-B/Kopernicus/releases/tag/UBE-release-56

Link to post
Share on other sites
15 minutes ago, eberkain said:

That works perfect.. still have issue with CKAN telling me that there is an update for this version though and it's CKAN is suggesting 1.9.1-17 looks it's needing a fix :D but thanks for the version !

Link to post
Share on other sites

Just to let you know that if you've done something to the CKAN repository recently, it didn't seem to fix all the issues. With my KSP 1.10.1 install, CKAN is telling me the best compatible version is release 55. Releases 56 and 57 are displayed, but I can't install them. It looks like something is wrong with their metadata.

Link to post
Share on other sites
7 hours ago, HebaruSan said:

@R-T-Byour http://glacialsoftware.net/CKAN/Kopernicus_BE.tar.gz CKAN repo link seems to be down. Lots of folks are reporting problems trying to update it.

Power outage and subsequent internet outage at my server location (which usually is pretty reliable, despite being a home office).  Should've been fixed a few hours ago.  It's mostly comcast, the power outage was only an hour long and the UPS I use would've held everything online, but Comcast took forever to fix whatever after the utility company, so the internet was down nearly all day.

Thanks for notifying me.  Sorry for confusing the CKAN-world with that downtime, but obviously, it wasn't really my call.  I am looking into a cellular-based backup line, but it would be slow as dirt (1-2mbps upload depending on weather).  Still better than nothing if stuff hits the proverbial fan, and probably justified for my other use of this server (work).

4 hours ago, garwel said:

Just to let you know that if you've done something to the CKAN repository recently, it didn't seem to fix all the issues. With my KSP 1.10.1 install, CKAN is telling me the best compatible version is release 55. Releases 56 and 57 are displayed, but I can't install them. It looks like something is wrong with their metadata.

We are shipping a fork of ModularFlightIntegrator now that replaces the stock one, until fixes are mainlined (it is feature comparable and should work with nearly everything).  If you run into this, just uninstall/reinstall.  It should fix things.  The autoupdate logic in CKAN may trap you on Release 55 otherwise.  I'm discussing with Sarbian how to proceed longterm so we don't have to keep forking/unforking MFI, producing confusion like this.

Edited by R-T-B
Link to post
Share on other sites

i am using the latest 1.10.1 version but my kopernicus keeps on not working. I have reinstalled the game twice.

MODS:
OPM
OPMVO
Parallax
GEP
Duna restoration project

Kolyphemus system

 

All of these mods were installed via ckan except for kolyphemus. Ckan says to update kopernicus and i this is all on a recently built computer.

 

(how do i upload my log and my MM config cache?)

 

Link to post
Share on other sites
2 hours ago, Drupegod02 said:

i am using the latest 1.10.1 version but my kopernicus keeps on not working. I have reinstalled the game twice.

MODS:
OPM
OPMVO
Parallax
GEP
Duna restoration project

Kolyphemus system

 

All of these mods were installed via ckan except for kolyphemus. Ckan says to update kopernicus and i this is all on a recently built computer.

 

(how do i upload my log and my MM config cache?)

 

 Have you installed Modular Flight Integrator?

Edited by Calvin Kerman
Added quote
Link to post
Share on other sites
2 hours ago, Drupegod02 said:

(how do i upload my log and my MM config cache?)

You upload them to a file sharing service, such as Google Drive, One Drive, Dropbox, or something similar, create public links and paste the links in your post.  For images, use something like imgur.  Every service I've mentioned is free for the size of files you'd be linking here.

Edited by Brigadier
Clarity
Link to post
Share on other sites
6 hours ago, R-T-B said:

We are shipping a fork of ModularFlightIntegrator now that replaces the stock one, until fixes are mainlined (it is feature comparable and should work with nearly everything).  If you run into this, just uninstall/reinstall.  It should fix things.  The autoupdate logic in CKAN may trap you on Release 55 otherwise.  I'm discussing with Sarbian how to proceed longterm so we don't have to keep forking/unforking MFI, producing confusion like this.

Ok, I uninstalled MFI and Kopernicus and tried to reinstall the latter. Now, Release 57 is marked as available, but when I try to actually install it, I get these messages:

The following inconsistencies were found:
* Kopernicus-BE UBEE_1101_57 conflicts with Kopernicus
* Kopernicus-BE UBEE_1101_57 conflicts with Kopernicus
* Kopernicus-BE UBEE_1101_57 conflicts with Kopernicus
Error during installation!
If the above message indicates a download error, please try again. Otherwise, please open an issue for us to investigate.
If you suspect a metadata problem: https://github.com/KSP-CKAN/NetKAN/issues/new/choose
If you suspect a bug in the client: https://github.com/KSP-CKAN/CKAN/issues/new/choose

I found that CKAN now lists the ordinary Kopernicus as autodetected (even though I don't have a Kopernicus folder in my GameData), which may be the cause. So, I'm not sure whether it's a CKAN/NetKAN issue or Kopernicus', but reporting for you.

Link to post
Share on other sites
5 hours ago, garwel said:

I found that CKAN now lists the ordinary Kopernicus as autodetected (even though I don't have a Kopernicus folder in my GameData), which may be the cause. So, I'm not sure whether it's a CKAN/NetKAN issue or Kopernicus', but reporting for you.

If CKAN reports Kopernicus as autodetected, then there is a Kopernicus.dll somewhere inside your GameData folder, likely in a subfolder. You could use the file explorer search to find it. When you removed it, you need to hit "Refresh" once for CKAN to rescan the GameData folder.

I'm wondering how this could have happened though. Did you manipulate your GameData folder in some way after you installed or uninstalled Kopernicus BE through CKAN? E.g. did you move or rename the Kopernicus folder?

Link to post
Share on other sites

Hey there! Problem with this version... My logs are getting spammed with this:

 

[ERR 11:00:01.188] Timing4 threw during FixedUpdate: System.NullReferenceException: Object reference not set to an instance of an object
  at Kopernicus.Components.KopernicusSolarPanels.LatePostCalculateTracking (System.Boolean trackingLos, UnityEngine.Vector3 trackingDirection, System.Int32 panelId) [0x000bc] in <886ed9317c6849538fcb09e728706904>:0 
  at Kopernicus.Components.KopernicusSolarPanels.LatePostCalculateTracking () [0x0007f] in <886ed9317c6849538fcb09e728706904>:0 
  at (wrapper delegate-invoke) <Module>.invoke_void()
  at Timing4.FixedUpdate () [0x00023] in <f8bc9e2b903e48a5b248ab0083c07c62>:0 

 

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...